# Class ThreadInfoImpl

java.lang.Object
org.apache.jmeter.monitor.model.ThreadInfoImpl

All Implemented Interfaces:
  `ThreadInfo`

public class ThreadInfoImpl extends Object implements ThreadInfo

Version:
  $Revision: 1413262 $

## Constructor Summary

Constructors
Constructor
Description
`ThreadInfoImpl()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCurrentThreadCount()`
`int`
`getCurrentThreadsBusy()`
`int`
`getMaxSpareThreads()`
`int`
`getMaxThreads()`
`int`
`getMinSpareThreads()`
`void`
`setCurrentThreadCount(int value)`
`void`
`setCurrentThreadsBusy(int value)`
`void`
`setMaxSpareThreads(int value)`
`void`
`setMaxThreads(int value)`
`void`
`setMinSpareThreads(int value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThreadInfoImpl

public ThreadInfoImpl()

## Method Details

### getMaxSpareThreads

public int getMaxSpareThreads()

Specified by:
  `getMaxSpareThreads` in interface `ThreadInfo`

### setMaxSpareThreads

public void setMaxSpareThreads(int value)

Specified by:
  `setMaxSpareThreads` in interface `ThreadInfo`

### getMinSpareThreads

public int getMinSpareThreads()

Specified by:
  `getMinSpareThreads` in interface `ThreadInfo`

### setMinSpareThreads

public void setMinSpareThreads(int value)

Specified by:
  `setMinSpareThreads` in interface `ThreadInfo`

### getMaxThreads

public int getMaxThreads()

Specified by:
  `getMaxThreads` in interface `ThreadInfo`

### setMaxThreads

public void setMaxThreads(int value)

Specified by:
  `setMaxThreads` in interface `ThreadInfo`

### getCurrentThreadsBusy

public int getCurrentThreadsBusy()

Specified by:
  `getCurrentThreadsBusy` in interface `ThreadInfo`

### setCurrentThreadsBusy

public void setCurrentThreadsBusy(int value)

Specified by:
  `setCurrentThreadsBusy` in interface `ThreadInfo`

### getCurrentThreadCount

public int getCurrentThreadCount()

Specified by:
  `getCurrentThreadCount` in interface `ThreadInfo`

### setCurrentThreadCount

public void setCurrentThreadCount(int value)

Specified by:
  `setCurrentThreadCount` in interface `ThreadInfo`